Уязвимость в LibreSSL, позволяющая обойти аутентификацию по сертификатам

Проект OpenBSD опубликовал корректирующий выпуск переносимой редакции пакета LibreSSL 3.4.2, в рамках которого развивается форк OpenSSL, нацеленный на обеспечение более высокого уровня безопасности. В новой версии устранена уязвимость в коде верификации сертификатов X.509, приводящая к игнорированию ошибки при обработке неверифицированной цепочки сертификатов. Проблема может привести к обходу аутентификации при проверке специально оформленных сертификатов с некорректной цепочкой доверия.

Источник: opennet.ru

Добавить комментарий